### Class

# Panel Workbench

#### Description

    class Panel.Workbench : Gtk.WindowGroup
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GtkWindowGroup
- GObject

#### Constructors

###### panel_workbench_new

No description available.

#### Functions

###### panel_workbench_find_from_widget

Finds the workbench that contains `widget`.

since: 1.4

#### Instance methods

###### panel_workbench_action_set_enabled

No description available.

###### panel_workbench_activate

No description available.

###### panel_workbench_add_workspace

No description available.

###### panel_workbench_find_workspace_typed

Locates a workspace in `self` with a type matching `type`.

since: 1.4

###### panel_workbench_focus_workspace

No description available.

###### panel_workbench_foreach_workspace

Calls `foreach_func` for each workspace in the workbench.

since: 1.4

###### panel_workbench_get_id

No description available.

###### panel_workbench_remove_workspace

No description available.

###### panel_workbench_set_id

No description available.

##### Methods inherited from GtkWindowGroup (3)

###### gtk_window_group_add_window

Adds a window to a `GtkWindowGroup`.

###### gtk_window_group_list_windows

Returns a list of the `GtkWindows` that belong to `window_group`.

###### gtk_window_group_remove_window

Removes a window from a `GtkWindowGroup`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Panel.Workbench:id

The “id” of the workbench.

since: 1.4

#### Signals

###### Panel.Workbench::activate

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PanelWorkbenchClass {
      GtkWindowGroupClass parent_class;
      void (* activate) (
        PanelWorkbench* self
      );
      void (* unload_async) (
        PanelWorkbench* self,
        GCancellable* cancellable,
        GAsyncReadyCallback callback,
        gpointer user_data
      );
      gboolean (* unload_finish) (
        PanelWorkbench* self,
        GAsyncResult* result,
        GError** error
      );

    }

No description available.

###### Class members

`parent_class: GtkWindowGroupClass`

  No description available.

`activate: void (* activate) ( PanelWorkbench* self )`

  No description available.

`unload_async: void (* unload_async) ( PanelWorkbench* self, GCancellable* cancellable, GAsyncReadyCallback callback, gpointer user_data )`

  No description available.

`unload_finish: gboolean (* unload_finish) ( PanelWorkbench* self, GAsyncResult* result, GError** error )`

  No description available.

#### Virtual methods

###### Panel.WorkbenchClass.activate

No description available.

###### Panel.WorkbenchClass.unload_async

No description available.

###### Panel.WorkbenchClass.unload_finish

No description available.

#### Class methods

###### panel_workbench_class_install_action

This should be called at class initialization time to specify actions to be added for all instances of this class.

###### panel_workbench_class_install_property_action

Installs an action called `action_name` on `workbench_class` and binds its state to the value of the `property_name` property.

since: 1.4